pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 > Class Referenceabstract
Module visualization

Base Handler class for PointCloud colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >:

## Public Types

using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointCloud > >

## Public Member Functions

| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not. More...
virtual std::string | getName () const =0
| Abstract getName method. More...
virtual std::string | getFieldName () const =0
| Abstract getFieldName method. More...
virtual vtkSmartPointer< vtkDataArray > | getColor () const =0
| Obtain the actual color for the input dataset as a VTK data array. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...

## Detailed Description

Base Handler class for PointCloud colors.

Author
  Radu B. Rusu

Definition at line 543 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudColorHandler<PointCloud> >

Definition at line 551 of file point_cloud_color_handlers.h.

## PointCloud

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloud = pcl::PCLPointCloud2

Definition at line 546 of file point_cloud_color_handlers.h.

## PointCloudConstPtr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 548 of file point_cloud_color_handlers.h.

## PointCloudPtr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudPtr = PointCloud::Ptr

Definition at line 547 of file point_cloud_color_handlers.h.

## Ptr

using pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudColorHandler<PointCloud> >

Definition at line 550 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandler()

pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::PointCloudColorHandler | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 554 of file point_cloud_color_handlers.h.

## ~PointCloudColorHandler()

virtual pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::~PointCloudColorHandler | ( |  | ) |

inline virtual

Destructor.

Definition at line 559 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

virtual vtkSmartPointer<vtkDataArray> pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getColor | ( |  | ) | const

pure virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Implemented in pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

## getFieldName()

virtual std::string pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

## getName()

virtual std::string pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Implemented in pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >.

## isCapable()

bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::isCapable | ( |  | ) | const

inline

Return whether this handler is capable of handling the input data or not.

Definition at line 563 of file point_cloud_color_handlers.h.

## setInputCloud()

void pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 586 of file point_cloud_color_handlers.h.

## Member Data Documentation

## capable_

bool pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 598 of file point_cloud_color_handlers.h.

## cloud_

PointCloudConstPtr pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::cloud_

protected

A pointer to the input dataset.

Definition at line 593 of file point_cloud_color_handlers.h.

## field_idx_

int pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::field_idx_

protected

The index of the field holding the data that represents the color.

Definition at line 601 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_color_handlers.h